Subject: Re: [PATCH v7 4/4] transport: add from_user parameter to is_transport_allowed

From: Brandon Williams <[email-masked]>
Date: Mon, 5 Dec 2016 14:22:11 -0800

On 12/05, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> > On 12/01, Junio C Hamano wrote:
> >> Brandon Williams <[email-masked]> writes:
> >> 
> >> > I started taking a look at your http redirect series (I really should
> >> > have taking a look at it sooner) and I see exactly what you're talking
> >> > about.  We can easily move this logic into a function to make it easier
> >> > to generate the two whitelists.
> >> 
> >> OK.  With both of them queued, t5812 seems to barf, just FYI; I'll
> >> expect that a future reroll would make things better.
> >
> > Yeah I expected we would see an issue since both these series collide in
> > http.c
> >
> > I'm sending out another reroll of this series so that in Jeff's he can
> > just call 'get_curl_allowed_protocols(-1)' for the non-redirection curl
> > option, which should make this test stop barfing.
> 
> I was hoping to eventually merge Peff's series to older maintenance
> tracks.  How bad would it be if we rebased the v8 of this series
> together with Peff's series to say v2.9 (or even older if it does
> not look too bad)?

I just took Jeff's series and applied it on top of mine (and fixed the
small problem causing t5812 to fail) and then rebased it to v2.9.0.
There were a few issues that needed to be resolved but nothing too
hairy.  So it would definitely be doable to backport it to the
maintenance tracks.

-- 
Brandon Williams